// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface VoltageDroopOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.VoltageDroop)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue voltageDroopCtl = 1;</code>
   * @return Whether the voltageDroopCtl field is set.
   */
  boolean hasVoltageDroopCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue voltageDroopCtl = 1;</code>
   * @return The voltageDroopCtl.
   */
  com.google.protobuf.BoolValue getVoltageDroopCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue voltageDroopCtl = 1;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getVoltageDroopCtlOrBuilder();

  /**
   * <pre>
   * Voltage regulation
   * </pre>
   *
   * <code>.essmodule.VoltageRegulation voltageRegulation = 2;</code>
   * @return Whether the voltageRegulation field is set.
   */
  boolean hasVoltageRegulation();
  /**
   * <pre>
   * Voltage regulation
   * </pre>
   *
   * <code>.essmodule.VoltageRegulation voltageRegulation = 2;</code>
   * @return The voltageRegulation.
   */
  openfmb.essmodule.VoltageRegulation getVoltageRegulation();
  /**
   * <pre>
   * Voltage regulation
   * </pre>
   *
   * <code>.essmodule.VoltageRegulation voltageRegulation = 2;</code>
   */
  openfmb.essmodule.VoltageRegulationOrBuilder getVoltageRegulationOrBuilder();
}
